import React from 'react';
import { render } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import { CardFrame } from './index';
describe('CardFrame', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = render( /*#__PURE__*/React.createElement(CardFrame, {
      className: "example-class",
      "data-arbitrary": "arbitrary"
    }, "Content"));
  });
  it('should render the content', function () {
    expect(wrapper.getByText('Content')).toBeTruthy();
  });
  it('should apply the injected custom class', function () {
    expect(wrapper.getByTestId('cardframe-wrapper').classList).toContain('example-class');
  });
  it('should spread arbitrary props', function () {
    expect(wrapper.getByTestId('cardframe-wrapper')).toHaveAttribute('data-arbitrary', 'arbitrary');
  });
});